Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.property
Class DataObjectAccessor

    java.lang.Object
      org.objectstyle.cayenne.property.DataObjectAccessor

All Implemented Interfaces:
  java.io.Serializable, PropertyAccessor

    public class DataObjectAccessor

extends java.lang.Object
implements PropertyAccessor

A PropertyAccessor that uses DataObject API to read/write values.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `propertyName`

Constructor Summary
`DataObjectAccessor(java.lang.String propertyName)`

Method Summary
`java.lang.String` | `getName()` Returns property name.
`java.lang.Object` | `readPropertyDirectly(java.lang.Object object)` Reads the value without disturbing DataObject state.
`void` | `writePropertyDirectly(java.lang.Object object, java.lang.Object oldValue, java.lang.Object newValue)` Sets a property value of an object without disturbing the object fault status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyName

    protected java.lang.String propertyName

Constructor Detail

### DataObjectAccessor

    public DataObjectAccessor(java.lang.String propertyName)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `PropertyAccessor`
  Returns property name.

  Specified by:
    `getName` in interface `PropertyAccessor`

### readPropertyDirectly

    public java.lang.Object readPropertyDirectly(java.lang.Object object)
                                          throws PropertyAccessException

  Reads the value without disturbing DataObject state. I.e. no Fault resolving occurs here.

  Specified by:
    `readPropertyDirectly` in interface `PropertyAccessor`
  Throws:
    `PropertyAccessException`

### writePropertyDirectly

    public void writePropertyDirectly(java.lang.Object object,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)
                               throws PropertyAccessException

  Description copied from interface: `PropertyAccessor`
  Sets a property value of an object without disturbing the object fault status. Old value of the property is specified as a hint.

  Specified by:
    `writePropertyDirectly` in interface `PropertyAccessor`
  Throws:
    `PropertyAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.